program Server;

uses
  Forms,
  Unit1 in 'Unit1.pas' {frmServer},
  IniFiles, Dialogs;

{$R *.res}

var
  {Переменные из INI-файла}
  config: TIniFile;
  strPath: string;
begin
  //Грузим инофрмацию из INI-файла
  strPath := Copy(Application.ExeName,1,Length(Application.ExeName)-3) + 'ini';
  config := TIniFile.Create(strPath);
  SERVERVISIBLE := config.ReadBool('Common', 'ServerVisible', False);
  REPORT := config.ReadBool('Common','EventReport', False);
  config.Free ;
  try
    //Запуск сервера
    Application.Initialize;
    Application.CreateForm(TfrmServer, frmServer);
    Application.Run;
  except
    MessageDlg('Не удается запустить сервер сообщений. ' +
     'Возможно, он был запущен ранее.', mtError, [mbOK], 0);
  end;
end.
